
# coding: UTF-8

# Copyright (C) 2014 Markus Schmidt <schmidt@boomshop.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Lieber Übersetzer,
#
# wenn am Anfang der Strings Leerzeichen sind, sind diese essentiell!
# Bitte richte Dich wenn möglich nach der bisherigen Länge der Strings, um nicht
# das Interface zu zerstören.
# Danke vielmals für Deine Arbeit!

locale = "de"
language = "Deutsch"
    
class dictionary:
    
    header = "%s"
    header_empty = "%s (leer)"
    
    filechooser_folder = "Bitte das Bilder-Verzeichnis wählen"
    
    loading_progress = "Lade... (%d Dateien in %d Verzeichnissen)"
    thumbnails_progress = "Erstelle Vorschaubilder... (%d/%d)"
    
    styles = {
        "dark":  "Licht aus",
        "light": "Licht an",
        "sea":   "Tiefsee",
    }
    
    sizes = {
        "small": "Klein",
        "mid":   "Mittel",
        "big":   "Groß"
    }
    
    infos = {
        "number":      "Bild Nr.   %d",
        "name":        "Titel:     %s",
        "type":        "Typ:       %s",
        "path":        "Pfad:      %s",
        "resolutionh": "Auflösung: %s",
        "sizeh":       "Größe:     %s",
        "size":        "Bytes:     %s",
        "hash":        "Hash:      %s",
        "md5":         "MD5:       %s",
    }
    info_multi = """%d Dateien %sausgewählt (%s):

%s"""
    info_folders = "aus %d Verzeichnissen "
    info_exif = "\nEXIF Informationen\n------------------\n"
    
    datestring = "%d.%m.%Y"
    timestring = "%H-%M-%S"
    
    # TOOLBAR
    toolbar_info = "Infoleiste"
    toolbar_sidebar = "Seitenleiste"
    
    # OVERWRITE DIALOG
    overwrite_title = "Überschreiben"
    overwrite_text = "Die Datei <b>%s</b> existiert bereits. Bitte bestimme, was passieren soll."
    overwrite_name = "Dateiname"
    overwrite_all = "Alle überschreiben"
    overwrite_cancel_all = "Alles abbrechen"
    overwrite_cancel = "Abbrechen"
    overwrite_ok = "OK"
    
    # OPTIONS
    options_title = "Glance Optionen"
    options_language = "Sprache"
    options_default_view = "Standard Betrachter"
    options_default_edit = "Standard Editor"
    options_autoclean = "Tage, nach denen Vorschauen gelöscht werden"
    options_sidebar = "Seitenleiste zeigen"
    options_infobar = "Informationsleiste zeigen"
    options_preview = "Vorschaubild zeigen"
    options_close = "Schließen"
    options_cache = """Vorschaubilder cachen (Schnellere Darstellung,
benötigt mehr RAM und benötigt Neustart)"""
    
    # IMAGE MENU AND CALLBACK ACTIONS
    
    editor_submenu = "Bearbeiten mit..."
    editor_default = "Bearbeiten mit %s"
    viewer_submenu = "Ansehen mit..."
    viewer_default = "Ansehen mit %s"
    
    folder_open = "Verzeichnis öffnen"
    send_to = "Mit %s per E-Mail senden"
    
    move_menu = "Verschieben..."
    move_title = "Zielverzeichnis"
    move_ok = "OK"
    move_cancel = "Abbrechen"
    
    delete_menu = "Löschen..."
    delete_title = "Löschen"
    delete_text_single = "Soll das Bild %s wirklich gelöscht werden?"
    delete_text_multi = "Sollen die %d Bilder<b>\n\n%s\n</b>wirklich gelöscht werden?"
    
    rename_menu = "Umbenennen..."
    rename_text = "Bitte gib einen Ausdruck zum Umbenennen der Datei(en) an"
    rename_title = "Umbenennen"
    rename_entry = "Ausdruck"
    
    copy_menu = "Kopie anlegen..."
    copy_text = "Bitte gib einen Ausdruck zum Umbenennen der Datei(en) an"
    copy_title = "Kopie erstellen"
    copy_entry = "Ausdruck"
    copy_fname_single = "Kopie_%s"
    copy_fname_multi = "Kopie_%n.%e"
    
    expression_title = "Hilfe"
    expression_help = """<span face="monospace"><b>Folgende Platzhalter kannst Du dabei verwenden:</b>

%f  = Kompletter Dateiname (mit Endung)
%n  = Dateiname (ohne Endung)
%e  = Dateiendung
%l  = Dateiname (ohne E.) in Kleinbuchstaben
%u  = Dateiname (ohne E.) in Großbuchstaben
%d  = Speicherdatum der Datei
%t  = Speicheruhrzeit der Datei
%xd = EXIF Datum - Aufnahmezeitpunkt (wenn vorhanden)
%xt = EXIF Zeit - Aufnahmezeitpunkt (wenn vorhanden)
%i  = Alle Nummern aus dem Dateinamen
%c  = Alle Zeichen außer Nummern aus dem Dateinamen
%0  = Eine laufende Nummer, startend bei dem angegeben Wert,
     Anzahl der Stellen bestimmt die Formatierung

<b>Beispiele:</b>
meinbild.jpg         ▸ %n_neu.%e      ▸ meinbild_neu.jpg
IMG_0001.jpg         ▸ Hochzeit_%i.%e ▸ Hochzeit_0001.jpg
bild1.jpg, bild2.jpg ▸ %0001.%e       ▸ 0001.jpg, 0002.jpg
bild.jpg             ▸ %d_%u.%e       ▸ 21.12.2012_BILD.jpg</span>"""
    
    help_title = "Hilfe zu Glance"
    help = """Hilfe zu Glance
---------------

Glance ist ein Programm, um Bildergalerien in Verzeichnissen zu
verwalten. Es bietet einige stapelverarbeitungs-orientierte Funktionen
zur Verwaltung sowie die Möglichkeit, ein oder mehrere Bilder aus der
Kollektion in den gängigsten Editoren und Betrachtern zu öffnen.

Oben am Bildrand befindet sich eine Werkzeugleiste mit den grundlegenden
Funktionen für den Anzeigebereich:

* Links ist der Dateiauswahldialog, um das anzuzeigende Verzeichnis zu
  wählen, die Eingabe muss mit der Schaltfläche rechts daneben bestätigt
  werden.
* In der Mitte finden sich zwei Auswahllisten, um die Darstellung zu
  beeinflussen (Stil und Größe)
* Der Einstellungs-Knopf öffnet einen Dialog, in dem einige
  Grundeinstellungen vorgenommen werden können
* Der Hilfe-Knopf daneben öffnete dieses Fenster

Um ein Bild in seinem bevorzugten Anzeigeprogramm zu öffnen, genügt ein
Doppelklick.

Veränderungen können mithilfe eine Rechtsklick-Menüs auf den Bildern
selbst vorgenommen werden:

* Der erste Eintrag öffnet das Bild im bevorzugten Bildbetrachter
* Der zweite öffnet ein Submenü mit eventuell parallel installierten
  Bildbetrachtern
* Die folgenden beiden Einträge bieten dieselbe Funktionalität mit
  Grafikbearbeitungsprogrammen
* Darunter finden sich die Einträge zum Kopieren, Umbenennen, Löschen
  und Verschieben von Dateien

All diese Funktionen können auch durch Tastenkürzel aufgerufen werden:

    * STRG+C = Kopie(n) anlegen
    * STRG+R = Datei(en) Umbenennen
    * STRG+M = Datei(en) Verschieben
    * STRG+E = Mit Standard-Editor Editieren
    * STRG+V = Mit Standard-Betrachter öffen
    * RETURN = Mit Standard-Betrachter öffen
    * STRG++ = Hereinzoomen
    * STRG+- = Herauszoomen
    * STRG+T = Thema wechseln
"""
