
# coding: UTF-8

# Copyright (C) 2014 Markus Schmidt <schmidt@boomshop.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Dear translator,
#
# if there are spaces at the beginning of the strings, they're essential!
# Please choose the same length of the strings if possible to avoid destroying
# the interface.
# Thank you for your work!

locale = "en"
language = "English"
    
class dictionary:
    
    header = "%s"
    header_empty = "%s (empty)"
    
    filechooser_folder = "Please Choose the Image Directory"
    
    loading_progress = "Loading... (%d Files in %d Folders)"
    thumbnails_progress = "Creating Thumbnails... (%d/%d)"
    
    styles = {
        "dark":  "Lights off",
        "light": "Lights on",
        "sea":   "Deep Sea",
    }
    sizes = {
        "small": "Small",
        "mid":   "Medium",
        "big":   "Big"
    }
    
    infos = {
        "number":      "Image No.   %d",
        "name":        "Title:      %s",
        "type":        "Type:       %s",
        "path":        "Path:       %s",
        "resolutionh": "Resolution: %s",
        "sizeh":       "Size:       %s",
        "size":        "Bytes:      %s",
        "hash":        "Hash:       %s",
        "md5":         "MD5:        %s",
    }
    info_multi = """%d files %sselected (%s):

%s"""
    info_folders = "in %d folders "
    info_exif = "\nEXIF Informations\n-----------------\n"
    
    datestring = "%m-%d-%Y"
    timestring = "%H.%M.%S"
    
    # TOOLBAR
    toolbar_info = "Infobar"
    toolbar_sidebar = "Sidebar"
    
    # OVERWRITE DIALOG
    overwrite_title = "Overwrite"
    overwrite_text = "The file <b>%s</b> already exists. Please determine what you want to happen."
    overwrite_name = "File Name"
    overwrite_all = "Overwrite All"
    overwrite_cancel_all = "Cancel All"
    overwrite_cancel = "Cancel"
    overwrite_ok = "OK"
    
    # OPTIONS
    options_title = "Glance Options"
    options_language = "Language"
    options_default_view = "Default Viewer"
    options_default_edit = "Default Editor"
    options_autoclean = "Days to keep thumbnails"
    options_sidebar = "Show Sidebar"
    options_infobar = "Show Infobar"
    options_preview = "Show preview"
    options_close = "Close"
    options_cache = """Cache Thumbnails (Faster Drawing,
Needs More RAM, Needs Restart)"""

    # IMAGE MENU AND CALLBACK ACTIONS
    
    editor_submenu = "Edit With..."
    editor_default = "Edit With %s"
    viewer_submenu = "View With..."
    viewer_default= "View With %s"
    
    folder_open = "Open Folder"
    send_to = "Send Mail via %s"
    
    move_menu = "Move..."
    move_title = "Target Directory"
    move_ok = "OK"
    move_cancel = "Cancel"
    
    delete_menu = "Delete..."
    delete_title = "Delete"
    delete_text_single = "The image %s is to be removed"
    delete_text_multi = "The %d images<b>\n\n%s\n</b>ware to be removed"
    
    rename_menu = "Rename..."
    rename_text = "Please enter an expression for renaming the image(s)"
    rename_title = "Rename"
    rename_entry = "Expression"
    
    copy_menu = "Copy..."
    copy_text = "Please enter an expression for copying the image(s)"
    copy_title = "Copy"
    copy_entry = "Expression"
    copy_fname_single = "Copy_%s"
    copy_fname_multi = "Copy_%n.%e"
    
    expression_title = "Help"
    expression_help = """<span face="monospace"><b>You may use the following wildcards:</b>

%f  = Full filename (including suffix)
%n  = Filename without suffix
%e  = File suffix
%l  = Filename (w/o suffix) in lowercase
%u  = Filename (w/o suffix) in uppercase
%d  = Creation date of the file
%t  = Creation time of the file
%xd = EXIF Date - Date of origin (if available)
%xt = EXIF Time - Time of origin (if available)
%i  = All numbers from the filename
%c  = All chars except numbers from the filename
%0  = Enumerator starting at the given number,
     amount of zeros declares the formatting

<b>Examples:</b>
myimage.jpg        ▸ %n_new.%e      ▸ myimage_new.jpg
IMG_0001.jpg       ▸ Birthday_%i.%e ▸ Birthday_0001.jpg
imgA.jpg, imgB.jpg ▸ %0001.%e       ▸ 0001.jpg, 0002.jpg
image.jpg          ▸ %d_%u.%e       ▸ 21.12.2012_IMAGE.jpg</span>"""
    
    help_title = "Glance Help"
    help = """Glance Help
-----------

Glance is a tool to manage image collections contained in directories.
It provides some batch oriented functions to manage the collection along
with the ability to open one or more images in other viewers or editors.

On top of the window there is the toolbar with basic viewport functions:

* On the left you can choose which is the base folder you want to sight
  (confirm your choice with the button right next to the file selector)
* In the center there are some drop-downs where you can choose the
  colors and the thumbnail size of the viewport
* The options button opens a small dialog where you can set some basic
  options like the language or your preferred editor and viewer.
* The help button opened this window

To view an image with your preferred image viewer just double-click on
it.

Manipulations on your collection is done via a right-click menu which
opens when you click on a thumbnail:

* The first option is to open the selection in your preferred viewer
* The second one is a submenu which is available if you have other
  viewers installed.
* Afterwards there are the same options for your image editors
* Below are the options to rename, move, copy or delete your images.

All those functions can be reached via short-cuts:

    * CTRL+C = Copy file(s)
    * CTRL+R = Rename file(s)
    * CTRL+M = Move file(s)
    * CTRL+E = Open with default editor
    * CTRL+V = Open with default viewer
    * RETURN = Open with default viewer
    * CTRL++ = Zoom in
    * CTRL+- = Zoom out
    * CTRL+T = Switch themes
"""
