# Copyright (C) Markus Schmidt <schmidt@boomshop.net>
# License: F4A (free4all) - have a look in the LICENSE file that came with this
# software

import gtk 
import gobject
from threading import Thread
from lib.Utils import Utils

gobject.threads_init()

log_level = 1
def log(mesg, level = 0):
    if level <= log_level:
        print mesg
        
class Preview(Thread):
    def __init__(self, image, _w, _h, w_, h_, callback):
        log("__init__ PREVIEW %s" % image.name, 2)
        Thread.__init__(self)
        self.image = image
        self._w = int(_w)
        self._h = int(_h)
        self.w_ = int(w_)
        self.h_ = int(h_)
        self.callback = callback
        self.stopped = False
        self.start()
    
    def stop(self):
        self.stopped = True
        
    def run(self):
        log("run (preview) %s" % self.image.name, 2)
        if self.image.rotation >= 5:
            w_ = self.h_
            h_ = self.w_
        else:
            w_ = self.w_
            h_ = self.h_
                
        rout  = float(w_) / h_
        
        try:
            pixbuf = gtk.gdk.pixbuf_new_from_file(self.image.path)
        except:
            print "unable to create preview pixbuf from %s" % self.image.path
            return
            
        try:
            rin = float(self._w) / self._h
        except:
            rin = float(pixbuf.get_width()) / pixbuf.get_height()
        
        if rin > rout:
            h_ = int(w_ / rin)
        else:
            w_ = int(h_ * rin)
        
        try:
            pixbuf = pixbuf.scale_simple(w_, h_, gtk.gdk.INTERP_BILINEAR)
            if self.image.rotation > 1:
                o = self.image.rotation
                if o == 2:
                    # ##
                    #  #
                    # ##
                    #  #
                    pixbuf = pixbuf.flip(True)
                if o == 3:
                    #  #
                    # ##
                    #  #
                    # ##
                    pixbuf = pixbuf.rotate_simple(gtk.gdk.PIXBUF_ROTATE_UPSIDEDOWN)
                if o == 4:
                    # #
                    # ##
                    # #
                    # ##
                    pixbuf = pixbuf.flip()
                if o == 5:
                    # #####
                    # # #
                    pixbuf = pixbuf.flip()
                    pixbuf = pixbuf.rotate_simple(gtk.gdk.PIXBUF_ROTATE_CLOCKWISE)
                if o == 6:
                    # # #
                    # #####
                    pixbuf = pixbuf.rotate_simple(gtk.gdk.PIXBUF_ROTATE_CLOCKWISE)
                if o == 7:
                    #   # #
                    # #####
                    pixbuf = pixbuf.flip()
                    im = im.rotate_simple(gtk.gdk.PIXBUF_ROTATE_COUNTERCLOCKWISE)
                if o == 8:
                    # #####
                    #   # #
                    pixbuf = pixbuf.rotate_simple(gtk.gdk.PIXBUF_ROTATE_COUNTERCLOCKWISE)
            if not self.stopped:
                self.callback(pixbuf)
        except:
            print "unable to create pixbuf for preview: %s" % self.image.path
            print self.image
