# Copyright (C) Markus Schmidt <schmidt@boomshop.net>
# License: F4A (free4all) - have a look in the LICENSE file that came with this
# software
import cairo

Styles = {
    "dark" : {
        "name":              "dark",
        "margin_row":        6,
        "margin_col":        6,
        "margin_img":        6,
        "margin_out":        12,
        "header_height":     70,
        "header_size":       30,
        "line_height":       18,
        "line_size":         12,
        "title_color":       (1, 1, 1, 1),
        "title_font":        ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "line_color":        (1, 1, 1, 0.66),
        "line_font":         ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "header_color":      (1, 1, 1, 1),
        "header_empty":      (0.5, 0.5, 0.5, 1),
        "header_font":       ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "hover_color":       (1, 1, 1, 0.1),
        "active_color":      (0.67, 0.78, 0.22, 1),
        "active_blinder":    (0.67, 0.78, 0.22, 0.2),
        "active_border":     2,
        "image_background":  (0, 0, 0, 1),
        "folder_background": (0.1, 0.1, 0.1, 1),
        "icons":             "dark",
        "icon_x":            35,
        "icon_y":            2
    },
    "light" : {
        "name":              "light",
        "margin_row":        6,
        "margin_col":        6,
        "margin_img":        6,
        "margin_out":        12,
        "header_height":     70,
        "header_size":       30,
        "line_height":       18,
        "line_size":         12,
        "title_color":       (0, 0, 0, 1),
        "title_font":        ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "line_color":        (0.4, 0.4, 0.4, 1),
        "line_font":         ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "header_color":      (0, 0, 0, 1),
        "header_empty":      (0.5, 0.5, 0.5, 1),
        "header_font":       ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "hover_color":       (0, 0, 0, 0.066),
        "active_color":      (0.67, 0.78, 0.22, 1),
        "active_blinder":    (0.67, 0.78, 0.22, 0.1),
        "active_border":     2,
        "image_background":  (0.96, 0.96, 0.96, 1),
        "folder_background": (0.92, 0.92, 0.92, 1),
        "icons":             "light",
        "icon_x":            35,
        "icon_y":            2
    },
    "sea" : {
        "name":              "sea",
        "margin_row":        6,
        "margin_col":        6,
        "margin_img":        6,
        "margin_out":        12,
        "header_height":     70,
        "header_size":       30,
        "line_height":       18,
        "line_size":         12,
        "title_color":       (1, 1, 1, 1),
        "title_font":        ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "line_color":        (0.6, 0.9, 0.95, 1),
        "line_font":         ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "header_color":      (1, 1, 1, 1),
        "header_empty":      (1, 1, 1, 0.5),
        "header_font":       ("Sans", cairo.FONT_SLANT_NORMAL, cairo.FONT_WEIGHT_NORMAL),
        "hover_color":       (1, 1, 1, 0.066),
        "active_color":      (0.67, 0.9, 0.0, 1),
        "active_blinder":    (0.67, 0.9, 0.0, 0.2),
        "active_border":     2,
        "image_background":  (0, 0.1, 0.13, 1),
        "folder_background": (0.0, 0.25, 0.33, 1),
        "icons":             "sea",
        "icon_x":            35,
        "icon_y":            2
    },
}
